# Uses of Interface
com.logicaldoc.core.document.DocumentHistoryDAO

Packages that use DocumentHistoryDAO
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of DocumentHistoryDAO in com.logicaldoc.core.document

Classes in com.logicaldoc.core.document that implement DocumentHistoryDAO
Modifier and Type
Class
Description
`class`
`HibernateDocumentHistoryDAO`
Hibernate implementation of `HistoryDAO`
Methods in com.logicaldoc.core.document that return DocumentHistoryDAO
Modifier and Type
Method
Description
`static DocumentHistoryDAO`
DocumentHistoryDAO.`get()`
Gets the object available in the application context